4Suite™ API Documentation

# ► Module Ft.Server.Common.Install.InstallUtil

Definitions and functions used in the installation process
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: Alias, Command, Container, ExtensionModule, Group, IndicatorBase, Product, RawFile, RdfDocument, SchematronDocument, Server, StatusFlags, UriReferenceFile, User, XPathDocumentDefinition, XmlDocument, XsltDocument, XsltDocumentDefinition |  |  |  | Functions: Deserialize |  |  |  | Fields: EMPTY_NAMESPACE, XSL_NAMESPACE, g_safeAclIdents

## Classes

class Alias(XmlDocument)

### Methods

__init__(self, path, acl, owner, imt, docDef, reference)
createContent(self, repo, quiet)
Called when we need to add our content to the repo
updateContent(self, repo, quiet)
Called when we need to update our content in the repo
updateOther(self, repo, quiet)

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateImt, updateOwner

### Fields

resourceType = 2

### Fields

class Command(XmlDocument)

### Methods inherited from class XmlDocument

__init__, createContent, updateOther

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateContent, updateImt, updateOwner

### Fields

docName = 'Command'
resourceType = 14

### Fields

class Container(XmlDocument)

### Methods

__init__(self, path, acl, owner, imt, docDef)
createContent(self, repo, quiet)
updateContent(self, repo, quiet)
Called when we need to update our content in the repo

### Methods inherited from class XmlDocument

updateOther

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateImt, updateOwner

### Fields

resourceType = 1

### Fields

class ExtensionModule(IndicatorBase)

### Methods

__init__(self, file)
checkStatus(self, repo, force=0, checkAcl=1)
createContent(self, repo, quiet)
setPath(self, fName)
updateContent(self, repo, quiet)

### Fields

owner = -1
resourceType = None

### Fields

class Group(XmlDocument)

### Methods

__init__(self, groupName, acl, owner, imt, docDef, basePath, members)
checkStatus(self, repo, force=0, checkAcl=True)
createContent(self, repo, quiet)
Called when we need to add our content to the repo
updateContent(self, repo, quiet)
Called when we need to update our content in the repo
updateOther(self, repo, quiet)

### Methods inherited from class RawFile

__repr__, setPath, setSource, updateAcl, updateImt, updateOwner

### Fields

resourceType = 8

### Fields

class IndicatorBase

### Fields

indicator = None

class Product

### Methods

__init__(self, resourceList, name='', version=0, description='', useIndicator=None)
filter(self, repo, checkAcl=True)
Processes self.resourceList, creating (if not already created) 3 more lists: self.sortedList, which is the resources that have content or docdef changes and thus need to have their dependencies expanded; self.filteredList, which is the resources that have other changes; and self.notDirectlyChangedList, which is resources with no changes.
install(self, repo, basePath, quiet, do_update=False, checkAcl=True)
Install the product into the repo
serialize(self, stream=<open file '<stdout>', mode 'w' at 0x8130068>, refUri='')
setBase(self, basePath)
Processes self.resourceList, setting the destination container on each resource to be the given basePath.
setIndicator(self)
Processes self.resourceList, hooking each resource into the progress indicator.
sort(self, repo, quiet=True)

### Fields

description = ''
name = ''
version = 0

class RawFile(IndicatorBase)

### Methods

__init__(self, path, acl, owner, imt)
__repr__(self)
checkStatus(self, repo, force=0, checkAcl=1)
Get the status of this resource from against the supplied repo, Note, force here specifies that we force update to the status. Not force install
createContent(self, repo, quiet)
Called when we need to add our content to the repo
setPath(self, contentUri)
setSource(self, stringContent, stringLastModified)
updateAcl(self, repo, quiet)
Called when we need to update our acl in the repo
updateContent(self, repo, quiet)
Called when we need to update our content in the repo
updateImt(self, repo, quiet)
Called when we need to update our imt in the repo
updateOther(self, repo, quiet)
Called when we need to update our other stuff in the repo
updateOwner(self, repo, quiet)
Called when we need to update our owner in the repo

### Fields

contentUri = None
imts = {}
lmds = None
owners = {}
resourceType = 3
stringContent = None
stringLastModified = None

### Fields

class RdfDocument(XmlDocument)

### Methods inherited from class XmlDocument

__init__, createContent, updateOther

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateContent, updateImt, updateOwner

### Fields

docName = 'RdfDocument'
resourceType = 12

### Fields

class SchematronDocument(XmlDocument)

### Methods inherited from class XmlDocument

__init__, createContent, updateOther

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateContent, updateImt, updateOwner

### Fields

docName = 'SchematronDocument'
resourceType = 6

### Fields

class Server(XmlDocument)

### Methods inherited from class XmlDocument

__init__, createContent, updateOther

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateContent, updateImt, updateOwner

### Fields

docName = 'Server'
resourceType = 15

### Fields

class StatusFlags

### Fields

ACL_CHANGE = 8
ACTION_REQUIRED = 63
CONTENT_CHANGE = 2
IMT_CHANGE = 4
NOT_PRESENT = 1
NO_CHANGE = 0
OTHER_CHANGE = 32
OWNER_CHANGE = 16
UNKNOWN = -1

class UriReferenceFile(RawFile)

### Methods

__init__(self, path, acl, owner, imt, href)
createContent(self, repo, quiet)
Called when we need to add our content to the repo
updateContent(self, repo, quiet)
Called when we need to update our content in the repo

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateImt, updateOther, updateOwner

### Fields

resourceType = 17

### Fields

class User(XmlDocument)

### Methods

__init__(self, userName, acl, owner, imt, docDef, basePath, password=None, data={}, passwdHash=None)
createContent(self, repo, quiet)
Called when we need to add our content to the repo
updateContent(self, repo, quiet)
Called when we need to update our content in the repo
updateOther(self, repo, quiet)

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateImt, updateOwner

### Fields

resourceType = 7

### Fields

class XPathDocumentDefinition(XmlDocument)

### Methods inherited from class XmlDocument

__init__, createContent, updateOther

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateContent, updateImt, updateOwner

### Fields

docName = 'XPathDocumentDefinition'
resourceType = 9

### Fields

class XmlDocument(RawFile)

### Methods

__init__(self, path, acl, owner, imt, docDef)
createContent(self, repo, quiet)
Called when we need to add our content to the repo
updateOther(self, repo, quiet)

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateContent, updateImt, updateOwner

### Fields

docName = 'XmlDocument'
resourceType = 4

### Fields

class XsltDocument(XmlDocument)

### Methods inherited from class XmlDocument

__init__, createContent, updateOther

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateContent, updateImt, updateOwner

### Fields

dependencyXPath = /child::xsl:*/child::xsl:import | /child::xsl:*/child::xsl:include
docName = 'XsltDocument'
resourceType = 5

### Fields

class XsltDocumentDefinition(XmlDocument)

### Methods inherited from class XmlDocument

__init__, createContent, updateOther

### Methods inherited from class RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateContent, updateImt, updateOwner

### Fields

docName = 'XsltDocumentDefinition'
resourceType = 11

### Fields

## Functions

Deserialize(stream, refUri='')

## Fields

EMPTY_NAMESPACE = None
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'
g_safeAclIdents = ['super-users', 'world', 'users', 'guest', 'owner']